package com.fr.plugin.demo.request;

import com.fr.decision.fun.impl.AbstractEmbedRequestFilterProvider;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.log.FineLoggerFactory;
import com.fr.record.analyzer.EnableMetrics;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@EnableMetrics
public class DemoRequestFilterBridge extends AbstractEmbedRequestFilterProvider {

    @Override
    @Focus(id = "com.fr.plugin.demo.request.filter", text = "", source = Original.PLUGIN)
    public void filter(HttpServletRequest req, HttpServletResponse res) throws IOException, ServletException {
        FineLoggerFactory.getLogger().info("=========Test Filter========");
    }
}
